.hint {
    position: relative;
    background: #D5D1CB;
    padding: 0 3px;
    display: inline-block;
    cursor: pointer;
    z-index: 2;
    &._hover {
        opacity: 1;
        z-index: 3;
        .hint__box {
            @media (min-width: 1025px) {
                visibility: visible;
                opacity: 1;
                width: 243px;
                height: auto; 
                display: block;
            }
        }
    }
    &._open {
        opacity: 1;
        z-index: 3;
        .hint__box {
            @media (max-width: 1024px) {
                visibility: visible;
                opacity: 1;
                width: 243px;
                height: auto; 
                display: block;
            }
            @media (hover: none) and (pointer: coarse) {
                visibility: visible;
                opacity: 1;
                width: 243px;
                height: auto; 
                display: block;
            }
        }
    }
    &__box {
        position: absolute;
        padding: 20px;
        box-shadow: 0px 23px 40px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        font-weight: 300;
        font-size: 14px;
        line-height: 1.57;
        color: #000000;
        z-index: 2;
        background: #fff;
        top: var(--top);
        left: var(--left);
        transform: translate(20px, 20px);
        pointer-events: none;
        transition: visibility .3s ease opacity .3s ease;
        display: none;
        width: 0;
        height: 0;
        font-weight: 300;
        font-size: 14px;
        line-height: 22px;
        span:not([class]) {
            color: #A08E84;
        }
        @media (max-width: 1024px) {
            pointer-events: auto;
        }
        @media (hover: none) and (pointer: coarse) {
            pointer-events: auto;
        }
    }
    &__close {
        display: none;
        position: absolute;
        top: 10px;
        right: 10px;
        width: 10px;
        height: 10px;
        background: url(../img/close.svg) no-repeat 50% 50% / contain;
        @media (max-width: 1024px) {
            display: block;
        }        
        @media (hover: none) and (pointer: coarse) {
            display: none;
        }
    }
    &._left {
        .hint__box {
            @media (max-width: 1024px) { 
                left: 0;
                transform: translate(0%, 5px);
            }        
            @media (hover: none) and (pointer: coarse) {                
                left: 0;
                transform: translate(0%, 5px);
            }
        }
    }
    &._right {
        .hint__box {
            @media (max-width: 1024px) { 
                right: 0;
                left: auto;
                transform: translate(0%, 5px);
            }
            @media (max-width: 1700px) {
                transform: translate(-50%, 40px);
            }
            @media (max-width: 1550px) {
                transform: translate(-100%, 40px);
            } 
            @media (max-width: 1024px) { 
                right: 0;
                left: auto;
                transform: translate(0%, 5px);
            }
            @media (hover: none) and (pointer: coarse) {       
                right: 0;
                left: auto;
                transform: translate(0%, 5px);
            }
        }
    }
}